import {
  _LoggerFromConfig
} from "./chunk-X4GLIIX5.js";
import {
  isBrowser
} from "./chunk-AJCIHTGI.js";
import {
  getGlobalLogger
} from "./chunk-HWZ7BV3F.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-Y53C4VDV.js";
import {
  LoggerBrowserHandler
} from "./chunk-5FZTAYVE.js";
import {
  isEmpty
} from "./chunk-V5ZQ2SFQ.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-RTSIJJAW.js.map